Skip to main content
GET
/
v1
/
view
/
orderbook
/
{symbol}
Get orderbook
curl --request GET \
  --url https://perp-api.phoenix.trade/v1/view/orderbook/{symbol} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://perp-api.phoenix.trade/v1/view/orderbook/{symbol}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://perp-api.phoenix.trade/v1/view/orderbook/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "asks": [
    [
      123,
      123
    ]
  ],
  "bids": [
    [
      123,
      123
    ]
  ],
  "slot": 1,
  "symbol": "<string>",
  "mid": 123,
  "splines": [
    {
      "askFilledAmount": "<string>",
      "askRegions": [
        {
          "density": 123,
          "end": 123,
          "filledSize": "<string>",
          "start": 123,
          "totalSize": "<string>"
        }
      ],
      "bidFilledAmount": "<string>",
      "bidRegions": [
        {
          "density": 123,
          "end": 123,
          "filledSize": "<string>",
          "start": 123,
          "totalSize": "<string>"
        }
      ],
      "midPrice": 123,
      "traderKey": "<string>"
    }
  ]
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Path Parameters

symbol
string
required

Trading symbol (BTC, ETH, SOL)

Query Parameters

include_splines
boolean

Whether to include splines in response and use them for parsed orderbook

bypass_execution_band
boolean

Opt in to receive the full orderbook during commodities after-hours (no-op otherwise)

Response

Phoenix Eternal orderbook

View orderbook

asks
tuple[]
required

Ask levels as (price, size).

bids
tuple[]
required

Bid levels as (price, size).

slot
integer<int64>
required

Solana slot of this orderbook snapshot.

Required range: x >= 0
symbol
string
required

Market symbol.

mid
number<double> | null

Mid price, if both sides exist.

splines
object[] | null

Optional spline levels.